Bug 239912 - Please move vera-specific fontconfig setup to the vera package
Please move vera-specific fontconfig setup to the vera package
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: bitstream-vera-fonts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
: Reopened
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-05-12 06:12 EDT by Nicolas Mailhot
Modified: 2008-05-06 21:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-05-12 06:12:10 EDT
the main fontconfig package is shipping vera-specific config info (in separate
files even)

It should be moved to the vera package so it's not processed by the system when
vera is not installed
Comment 1 Matthias Clasen 2007-05-14 00:57:13 EDT
At the cost of adding a fontconfig dependency to bitstream-vera-fonts.
Comment 2 Nicolas Mailhot 2007-05-14 04:08:41 EDT
No, there's no harm installing vera-related setup info even if fontconfig is not
installed. If fontconfig is installed it will be interpreted if not, not problem.

The big change is fontconfig won't have to deal with vera setup if the truetype
files are not on-system
Comment 3 Behdad Esfahbod 2007-05-14 07:55:19 EDT
The dependency is required since fontconfig owns /etc/fonts
Comment 4 Nicolas Mailhot 2007-05-14 08:22:05 EDT
Yes, directory ownership is a mess. Some people want every directory owned.
Others absolutely loathe multiple ownership.

IIRC the consensus was to move directories like /etc/fonts to a filesystem
package, so they are owned by a single something but do not bring in optional
code (The only caveats was you needed several directory users to make a case for
filesystem, but right now we have the problem for every font package that ships
fontconfig rules and our font guidelines sort-of imply /etc/fonts is used
without a owner if it's not moved to filesystem)
Comment 5 Nicolas Mailhot 2007-05-14 08:22:43 EDT
Do you want a separate bug to move /etc/fonts from fontconfig to filesystem?
Comment 6 Matthias Clasen 2007-05-14 10:09:18 EDT
You could just pile onto bug 239246 which I filed earlier for similar cases.
Comment 7 Nicolas Mailhot 2007-05-14 11:03:57 EDT
(In reply to comment #6)
> You could just pile onto bug 239246 which I filed earlier for similar cases.

Ok, done. Thanks

Comment 8 Behdad Esfahbod 2007-10-25 20:45:32 EDT
I don't see any Vera stuff left in our fontconfig package.  The rest of
font-specific stuff has another bug filed for them already.
Comment 9 Nicolas Mailhot 2007-10-26 04:13:57 EDT
You have the unhint vera at small sizes rules that should be moved in vera package
Comment 10 Bug Zapper 2008-04-03 20:39:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 21:43:40 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.